| Home | Libraries | People | FAQ | More

## Function template find_if_not

boost::algorithm::find_if_not — Finds the first element in the sequence that does not satisfy the predicate.

## Synopsis

    // In header: <boost/algorithm/cxx11/find_if_not.hpp>

    template<typename InputIterator, typename Predicate>
      InputIterator
      find_if_not(InputIterator first, InputIterator last, Predicate p);

## Description

| Note
This function is part of the C++2011 standard library. We will use the standard one if it is available, otherwise we have our own implementation.

Parameters:

`first` | The start of the input sequence
`last` | One past the end of the input sequence
`p` | A predicate for testing the elements of the range

Returns: | The iterator pointing to the desired element.